GCLOUD_KMS_KEYS_ADD-IAM-POLICY-BINDING(1)

NAME

gcloud kms keys add-iam-policy-binding - add IAM policy binding to a key

SYNOPSIS

gcloud kms keys add-iam-policy-binding KEY --member=MEMBER --role=ROLE [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Adds IAM policy binding to the given key. See https://cloud.google.com/iam/docs/managing-policies for details of policy role and member types.

POSITIONAL ARGUMENTS

    KEY Name of the key whose IAM policy to modify.

REQUIRED FLAGS

    --member=MEMBER
        The member to add to the binding.

    --role=ROLE
        Define the role of the member.

OPTIONAL FLAGS

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command will add an IAM policy binding for the role of 'roles/editor' for the user 'test-user@gmail.com' on the key frodo with the keyring fellowship and location global:
    $ gcloud kms keys add-iam-policy-binding frodo \ --keyring fellowship \ --location global \ --member='user:test-user@gmail.com' \ --role='roles/editor'